Bug 497339 - Review Request: qmforge - Analysis tools for quantum mechanical calculations
Review Request: qmforge - Analysis tools for quantum mechanical calculations
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On: 497338
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 08:54 EDT by Susi Lehtola
Modified: 2009-05-11 23:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.1-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 23:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-04-23 08:54:52 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/qmforge.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/qmforge-2.1-1.fc10.src.rpm

Upstream URL:
http://qmforge.sourceforge.net/

Description:
QMForge reads output from various quantum mechanical calculations and provides
tools for analyzing these results. Specifically, population (Mulliken and
C-squared), fragment, and charge decomposition analyses are available.


rpmlint output:
qmforge.noarch: E: explicit-lib-dependency python-cclib
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

This is not a problem, it's just caused by the name of cclib.
Comment 1 Susi Lehtola 2009-04-23 08:56:33 EDT
Even though this package contains Python modules, IMHO the name is correct since the primary use of the package is to act as a GUI.

Which reminds me, I have to make a desktop file!
Comment 2 Susi Lehtola 2009-04-23 09:13:55 EDT
Although, there's no icon available for the application, and I'm not going to make one [not with my graphical skills!].

I'm going to invoke the Review guidelines: "If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation."
Comment 4 David Nalley 2009-04-24 18:09:57 EDT
Couple of notes up front:
-This depends on python-cclib Bug 497338 which hasn't been approved yet, but is your package as well. 
-You have a python-openbabel listed twice as a requires


OK: rpmlint must be run on every package. The output should be posted in the review
[ke4qqq@nalleyt61 SPECS]$ rpmlint ./qmforge.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/qmforge-2.1-3.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/qmforge-2.1-3.fc10.noarch.rpm 
qmforge.noarch: E: explicit-lib-dependency python-cclib
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

As the packager noted this is a false positive due to the pacakge name

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .


OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Several of the *.py files in source note that they are licensed under GPLv2+

OK: The License field in the package spec file must match the actual license.

NA: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[ke4qqq@nalleyt61 tmp]$ md5sum QMForge-2.1.tar.gz*
3caf2b40d1391ea1f6251cb598e8c32a  QMForge-2.1.tar.gz
3caf2b40d1391ea1f6251cb598e8c32a  QMForge-2.1.tar.gz.1


OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
Builds at least on x86_64

NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 

OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
N/A: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
N/A: Header files must be in a -devel package. 
N/A: Static libraries must be in a -static package.
N/A: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
N/A: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
N/A: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
OK: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 

Packager has included such a comment in the .spec file

OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: All filenames in rpm packages must be valid UTF-8.
Comment 5 Susi Lehtola 2009-04-24 18:24:59 EDT
(In reply to comment #4)
> Couple of notes up front:
> -You have a python-openbabel listed twice as a requires

Right, the first one was supposed to be a BuildRequires: but as it seems it isn't even needed. Removed.

I'll post a new spec if you find anything else to fix.
Comment 6 David Nalley 2009-04-25 00:23:01 EDT
There are some missing requires it would seem: 
I installed qmforge from the above rpm, and when I try and launch I get the following tracebacks: 
[ke4qqq@nalleyt61 noarch]$ qmforge 
Traceback (most recent call last):
  File "/usr/bin/qmforge", line 19, in <module>
    from qmforge.qmforge import *
  File "/usr/lib/python2.5/site-packages/qmforge/qmforge.py", line 36, in <module>
    from popwidget import *
  File "/usr/lib/python2.5/site-packages/qmforge/popwidget.py", line 20, in <module>
    from glwidget import *
  File "/usr/lib/python2.5/site-packages/qmforge/glwidget.py", line 17, in <module>
    from OpenGL.GL import *
ImportError: No module named OpenGL.GL


I'll go through the source tomorrow and try and see what else is missing here. 

Thanks
Comment 7 Susi Lehtola 2009-04-25 03:33:50 EDT
Try this one. For me qmforge worked perfectly, but I had PyOpenGL installed. I added it as a requirement. I don't know whether PyQt4 should pull in PyOpenGL, it might be a packaging bug in PyQt4.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/qmforge.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/qmforge-2.1-4.fc10.src.rpm
Comment 8 David Nalley 2009-04-29 23:08:23 EDT
this works with no problem so the buildrequires and requires issues are sorted. 

Of course there is still the outstanding Bug 497338 that is a dependency, and a koji build will fail, so the review itself is approved, but sure you know to wait before requesting a build. 

Thanks
Comment 9 Susi Lehtola 2009-05-03 04:56:14 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: qmforge
Short Description: Analysis tools for quantum mechanical calculations
Owners: jussilehtola
Branches: F-10 F-11
InitialCC:
Comment 10 Kevin Fenzi 2009-05-03 23:43:37 EDT
cvs done.
Comment 11 Fedora Update System 2009-05-07 08:33:48 EDT
qmforge-2.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qmforge-2.1-4.fc10
Comment 12 Fedora Update System 2009-05-08 03:59:57 EDT
qmforge-2.1-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qmforge-2.1-4.fc11
Comment 13 Fedora Update System 2009-05-08 23:54:30 EDT
qmforge-2.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-11 23:54:47 EDT
qmforge-2.1-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.